<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$bookmid=$_POST['bookmid'];
	$bookname=checkvalidstring($_POST['bookname']);
	$bookquantity=($_POST['bookquantity']);
	$bookprice=($_POST['bookprice']);
	
	
	
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	 $eve = "select * from res_book_master where bookname='$bookname' and bookmid !=$bookmid";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "Messaging App code Already Inserted.";
		header('Location: book.php');
	}
	else
	{	

	$eve1 = "update res_book_master set bookname='$bookname',bookquantity='$bookquantity',bookprice='$bookprice' where bookmid='$bookmid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "book Record Updated succesfully";

		header('Location: book.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: book.php');

	}
	}

?>